#
# spec file for package python3-repoze.sphinx.autointerface
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-repoze.sphinx.autointerface
Version:        0.8
Release:        1.2
Url:            http://www.repoze.org
Summary:        Sphinx extension: auto-generates API docs from Zope interfaces
License:        SUSE-Repoze
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/r/repoze.sphinx.autointerface/repoze.sphinx.autointerface-%{version}.tar.gz
%if 0%{?suse_version} < 1230
BuildRequires:  python3
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-Sphinx
Requires:       python3-zope.interface
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package defines an extension for the Sphinx documentation system. The
extension allows generation of API documentation by introspection of
zope.interface instances in code.

%prep
%setup -q -n repoze.sphinx.autointerface-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst CONTRIBUTORS.txt
%{python3_sitelib}/*

%changelog
* Thu Feb  2 2017 toddrme2178@gmail.com
- Add BuildRoot to fix compatibility with SLES.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Tue Mar 29 2016 arun@gmx.de
- specfile:
  * update copyright year
  * %%doc: some txt->rst changes, add CONTRIBUTORS.txt
- update to version 0.8:
  * Add support for Python 3.3, 3.4, and 3.5.
  * Drop support for Python 2.6 and 3.2.
  * Allow cross references using the ":class:" directive to use the
    "." for "fuzzy" searching.  Thanks to Jason Madden for the patch.
* Wed Nov 13 2013 p.drouand@gmail.com
- Initial python3 support
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Aug  5 2013 cfarrell@suse.com
- license update: SUSE-Repoze
  See the spreadsheet linked from license.opensuse.org
* Sun Jul 28 2013 hpj@urpla.net
- update to version 0.7.1
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
